# CvDTreeParams Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvDTreeParams:

List of all members.

## Public Member Functions

| CvDTreeParams ()
| CvDTreeParams (int _max_depth, int _min_sample_count, float _regression_accuracy, bool _use_surrogates, int _max_categories, int _cv_folds, bool _use_1se_rule, bool _truncate_pruned_tree, const float *_priors)

## Public Attributes

CV_PROP_RW int | cv_folds
CV_PROP_RW int | max_categories
CV_PROP_RW int | max_depth
CV_PROP_RW int | min_sample_count
const float * | priors
CV_PROP_RW float | regression_accuracy
CV_PROP_RW bool | truncate_pruned_tree
CV_PROP_RW bool | use_1se_rule
CV_PROP_RW bool | use_surrogates

## Constructor & Destructor Documentation

CvDTreeParams::CvDTreeParams | ( | ) | `[inline]`

CvDTreeParams::CvDTreeParams | ( | int | _max_depth,
|  | int | _min_sample_count,
|  | float | _regression_accuracy,
|  | bool | _use_surrogates,
|  | int | _max_categories,
|  | int | _cv_folds,
|  | bool | _use_1se_rule,
|  | bool | _truncate_pruned_tree,
|  | const float * | _priors
| ) |  | `[inline]`

## Member Data Documentation

CV_PROP_RW int CvDTreeParams::cv_folds

CV_PROP_RW int CvDTreeParams::max_categories

CV_PROP_RW int CvDTreeParams::max_depth

CV_PROP_RW int CvDTreeParams::min_sample_count

const float* CvDTreeParams::priors

CV_PROP_RW float CvDTreeParams::regression_accuracy

CV_PROP_RW bool CvDTreeParams::truncate_pruned_tree

CV_PROP_RW bool CvDTreeParams::use_1se_rule

CV_PROP_RW bool CvDTreeParams::use_surrogates

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines